--- title: "Delete a Non-Standard Port at Sensor Level" slug: "delete-a-non-standard-port-at-sensor-level-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/delete-a-non-standard-port-at-sensor-level-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete a Non-Standard Port at Sensor Level This URL deletes a non-standard port defined on the specified Sensor. ### Resource URL DELETE /sensor//nonstandardports?transport=&nonStandardPortNumber= ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensor_id` | Sensor id | Number | Yes | | `transport_type` | Can be either TCP or UDP | String | Yes | | `port_number` | The non-standard port number to be deleted | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Status returned | Number | ### Example **Request** DELETE [https:///sdkapi/sensor/1002/nonstandardports?transport=UDP&nonStandardPortNumber=15](https://<NSM_IP>/sdkapi/sensor/1002/nonstandardports?transport=UDP&nonStandardPortNumber=15) **Response** ``` { "status": 1 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 400 | 2006 | Provided port number does not exists | | 3 | 400 | 2007 | Standard ports cannot be deleted |